Download MCP Gateway Activity Stream Large Payload

get

/ic/api/integration/v1/monitoring/mcp/instances/{id}/activityStreamDetails/{key}

Downloads an MCP gateway large payload by payload identifier.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Payload bytes. When mediatype is supplied it also sets Content-Type.
Headers
Body ()
Root Schema : schema
Type: string(binary)

400 Response

Invalid parameters; also used for downstream query-service errors other than throttling.

401 Response

Unauthorized, or supplied project context fails the factory access check.

404 Response

Instance not found

429 Response

Downstream tracking service throttled the request.

500 Response

Server error
Back to Top

Examples

The following example shows how to download MCP Gateway activity stream large payload by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.

Example: Download MCP Gateway Activity Stream Large Payload

curl --get \"${BASE_URL}/ic/api/integration/v1/monitoring/mcp/instances/${INSTANCE_ID}/activityStreamDetails/${PAYLOAD_ID}\" \\\n  --header \"Authorization: Bearer ${ACCESS_TOKEN}\" \\\n  --data-urlencode \"integrationInstance=${INTEGRATION_INSTANCE}\" \\\n  --data-urlencode \"projectId=${PROJECT_ID}\"
Back to Top